<div class="container mt-3">
  <div class="card">
    <div class="card-header">
      <h3 class="text-primary">My Profile</h3>
    </div>
    <div class="card-body">
      <div *ngIf="loggedInUser?.role == 'ROLE_ADMIN' ; else seller">
        <form>
          <div class="form-group">
            <label for="firstName">
              <b>First Name</b>
            </label>
            <input class="form-control" name="firstName" readonly value="{{loggedInUser?.firstName}}">
          </div>
          <div class="form-group">
            <label for="lastName">
              <b>Lastname</b>
            </label>
            <input class="form-control" name="lastName" readonly value="{{loggedInUser?.lastName}}">
          </div>
          <div class="form-group">
            <label for="username">
              <b>Username</b>
            </label>
            <input class="form-control" name="username" readonly value="{{loggedInUser?.username}}">
          </div>
        </form>
      </div>
      <ng-template #seller>
        <form>
          <div class="form-group">
            <label for="firstName">
              <b>First Name</b>
            </label>
            <input class="form-control" name="firstName" readonly value="{{loggedInUser?.firstName}}">
          </div>
          <div class="form-group">
            <label for="lastName">
              <b>Lastname</b>
            </label>
            <input class="form-control" name="lastName" readonly value="{{loggedInUser?.lastName}}">
          </div>
          <div class="form-group">
            <label for="username">
              <b>Username</b>
            </label>
            <input class="form-control" name="username" readonly value="{{loggedInUser?.username}}">
          </div>
          <div class="form-group">
            <label for="address">
              <b>Address</b>
            </label>
            <input class="form-control" name="address" readonly value="{{loggedInUser?.address}}">
          </div>
          <div class="form-group">
            <label for="phoneNumber">
              <b>Phone number</b>
            </label>
            <input class="form-control" name="phoneNumber" readonly value="{{loggedInUser?.phoneNumber}}">
          </div>
          <div class="form-group">
            <label for="email">
              <b>Email</b>
            </label>
            <input class="form-control" name="email" readonly value="{{loggedInUser?.email}}">
          </div>
        </form>
      </ng-template>


    </div>
    <div class="card-footer">
      <div class="row">
        <div class="col-6">
          <button class="btn btn-success float-left" (click)="open(changePassword)" >Change Password</button>
        </div>
        <div class="col-6">
            <button class="btn btn-secondary float-right" (click)="onBack()">Back</button>
        </div>
        
      </div>
    </div>
  </div>
</div>



<ng-template #changePassword let-c="close" let-d="dismiss">
  <div class="modal-header bg-primary">
    <h4 class="modal-title text-light" id="modal-basic-title">Change Password</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <form #passwordForm="ngForm">
      <div class="form-group">
        <label for="city">Old Password</label>
        <input type="text" class="form-control" name="oldPassword" placeholder="Enter current password" [(ngModel)]="passwordChange.oldPassword"
          #oldPassword="ngModel" required>
        <p class="text-danger" *ngIf="oldPassword.invalid && (oldPassword.dirty || oldPassword.touched)">Field cannot be empty</p>
        <label for="zipCode">New Password</label>
        <input type="text" class="form-control" name="newPassword" placeholder="Enter new password" [(ngModel)]="passwordChange.newPassword"
          #newPassword="ngModel" required>
        <p class="text-danger" *ngIf="newPassword.invalid && (newPassword.dirty || newPassword.touched)">Field cannot be empty</p>
      </div>
    </form>
  </div>
  <div class="modal-footer">
    <div class="row">
      <div class="col-6">
        <button type="button" class="btn btn-success" (click)="c();changeUserPassword()" [disabled]="passwordForm.invalid">Confirm</button>
      </div>
      <div class="col-6">
        <button type="button" class="btn btn-secondary" (click)="c()">Cancel</button>
      </div>
    </div>

  </div>
</ng-template>